Skip to main content
GET
List my cards
Requires Authorization: Bearer <user-access-token> — the token from Verify login code.
The response is a bare array of the authenticated user’s cards, ordered by creation date. Use status to filter or q to search. Possible card states are notActivated, active, locked, and canceled.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
Available options:
notActivated,
active,
locked,
canceled
q
string

Search query.

limit
integer
Example:

20

cursor
string

Response

The authenticated user's cards.

id
string<uuid>
required
type
string
Example:

"virtual"

status
enum<string>
Available options:
notActivated,
active,
locked,
canceled
last4
string
Example:

"8567"

expirationMonth
string
Example:

"08"

expirationYear
string
Example:

"31"

limit
object
createdAt
string<date-time>

Local card creation timestamp (enriched from cards' own records).

updatedAt
string<date-time>

Local card last-update timestamp (enriched from cards' own records).